%define upstream_name    Unicode-Stringprep
%define upstream_version 1.105

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Prepare Internationalized Strings (RFC3454)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Unicode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Unicode::Normalize) >= 1.0.0
BuildArch:  noarch

%{?perl_default_filter}

%description
This module implements the _stringprep_ framework for preparing Unicode
text strings in order to increase the likelihood that string input and
string comparison work in ways that make sense for typical users throughout
the world. The _stringprep_ protocol is useful for protocol identifier
values, company and personal names, internationalized domain names, and
other text strings.

The _stringprep_ framework does not specify how protocols should prepare
text strings. Protocols must create profiles of stringprep in order to
fully specify the processing options.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE eg
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Jul 10 2017 bb2 <bb2> - 1.105.0-7pclos2017
- rebuild against updates
